/* fd-rr-labeler.h - Utility to label monitors to identify them
 * while they are being configured.
 *
 * Copyright 2008, Novell, Inc.
 *
 * This file is part of the Mate Library.
 *
 * The Mate Library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * The Mate Library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with the Mate Library; see the file COPYING.LIB.  If not,
 * write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Author: Federico Mena-Quintero <federico@novell.com>
 */

#ifndef FD_RR_LABELER_H
#define FD_RR_LABELER_H

// #ifndef MATE_DESKTOP_USE_UNSTABLE_API
// #error    FdRR is unstable API. You must define MATE_DESKTOP_USE_UNSTABLE_API before including fdrr.h
// #endif

#include "fd-rr-config.h"

#define FD_TYPE_RR_LABELER            (fd_rr_labeler_get_type ())
#define FD_RR_LABELER(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), FD_TYPE_RR_LABELER, FdRRLabeler))
#define FD_RR_LABELER_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass),  FD_TYPE_RR_LABELER, FdRRLabelerClass))
#define FD_IS_RR_LABELER(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), FD_TYPE_RR_LABELER))
#define FD_IS_RR_LABELER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass),  FD_TYPE_RR_LABELER))
#define FD_RR_LABELER_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj),  FD_TYPE_RR_LABELER, FdRRLabelerClass))

typedef struct _FdRRLabeler FdRRLabeler;
typedef struct _FdRRLabelerClass FdRRLabelerClass;
typedef struct _FdRRLabelerPrivate FdRRLabelerPrivate;

struct _FdRRLabeler {
	GObject parent;

	/*< private >*/
	FdRRLabelerPrivate *priv;
};

struct _FdRRLabelerClass {
	GObjectClass parent_class;
};

GType fd_rr_labeler_get_type (void);

FdRRLabeler *fd_rr_labeler_new (FdRRConfig *config);

void fd_rr_labeler_hide (FdRRLabeler *labeler);

void fd_rr_labeler_get_rgba_for_output (FdRRLabeler *labeler, FdRROutputInfo *output, GdkRGBA *color_out);

#endif
